#ifndef GOPDIT_H
#define GOPDIT_H

/*! 
  \file gopdit.h
  \brief main interface and operations

  \author R. Enders

  $Revision: 1.29 $
  $Id: gopdit.h,v 1.29 2006/01/06 12:17:59 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html


  Sorry, the design is a mess: no separation between interface and operations


  \include gopdit.h
*/

#include "config.h"
#include <string>
#include <vector>
#include "pesmgr.h"

class PesMgr;
class GopditOutput;
class GopditUi;

// the class must be made abstract!!
class Gopdit 
{
protected:
    Gopdit();
public:
    virtual ~Gopdit();

    void test(std::string where);

    bool openFile(std::string filename);
    bool importFile(std::string filename, std::string importtype);
    bool saveFile(std::string filename, std::string savetype, 
		  Mpeg2ClipList& cut_list);
    bool saveFileSeparate(std::string filename, std::string savetype);
    PesMgr*             getPesMgr() { return pesmgr; }
    virtual bool addClip(Mpeg2Clip& clip);
protected:
    GopditUi*           ui;
    PesMgr*             pesmgr; 
    // all PesMgrs currently in the system
    std::vector<PesMgr*>     pesmgrv;
    GopditOutput*       output;
    Mpeg2Clip           cur_clip;
    Mpeg2ClipList       clip_list;
    // list of clips
    Mpeg2ClipList       cut_list;
    off_t               total_clip_length();
} ;



#endif /* GOPDIT_H */
