/*! 
  \file gopdit_nox.cpp
  \brief

  \author R. Enders

  $Revision: 1.8 $
  $Id: gopdit_nox.cpp,v 1.8 2006/01/06 12:17:59 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  mdify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html

  \include gopdit_nox.cpp
*/

#include "parameter.h"
#include "gopdit_nox.h"

extern Parameter<bool> separate;

using std::string;

extern FileDialogParameter import_file;
extern FileDialogParameter save_file;

GopditNox::GopditNox()
    : Gopdit()
{
    ui = this;
/*
    std::cerr << "nx1ps: " << pesmgrv.size() << std::endl;

    if ( this == 0 ) 
    {
	std::cerr << "this is 0\n";
    }

    if ( ui == 0 ) 
    {
	std::cerr << "ui is 0\n";
    }
    std::cerr << "nx2ps: " << pesmgrv.size() << std::endl;
    std::cerr << int(ui) << std::endl;

    test("GopditNox()");
    std::cerr << "nx3ps: " << pesmgrv.size() << std::endl;
*/
}

GopditNox::~GopditNox()
{
}

void  GopditNox::critical(string message)
{
    fprintf(stderr,"CRITICAL ERROR: %s\n",message.c_str());
    exit(1);
}

//! error message
void  GopditNox::error(string message)
{
    fprintf(stderr,"ERROR: %s\n",message.c_str());
}

//! acces the window for the movie screen
void*  GopditNox::getMovieScreen()
{
    return 0;
}

//! do some event processing
void   GopditNox::processEvents()
{
}

//! for reporting - don't report status erasing
void   GopditNox::report(string message)
{
    if ( message != "" ) 
    {
	fprintf(stderr,"%s\n",message.c_str());
    }
}

//! update current time no gui no current time (bad interface)
void   GopditNox::updateCurrentTime(unsigned t)
{
}

//! update the progress dialog window
bool   GopditNox::updateProgressDialog(off_t c)
{
    /* or do nothing */
    fprintf(stderr,".");
    return true;
}

//! no gui no slider (it's a bad interface anyway)
void   GopditNox::updateMovieSlider(off_t c)
{
}

//! warning message stop: false go on true
bool   GopditNox::warning(string message)
{
    fprintf(stderr,"WARNING: %s\n",message.c_str());
    return true;
}

bool  GopditNox::remove_clips(string mpegin, string editlist, string mpegout)
{
    if ( mpegin != "" && !openFile(mpegin) ) 
    {
	return false;
    }
    
    if ( !importFile(editlist, import_file.sel_filter.getValue()) )
    {
	return false;
    }
    
    if ( separate.getValue() ) 
    {
	if ( !saveFileSeparate(mpegout, save_file.sel_filter.getValue()) )
	{
	    return false;
	}
    }
    else
    {
	if ( !saveFile(mpegout, save_file.sel_filter.getValue(), clip_list) )
	{
	    return false;
	}
    }
    return true;
}
