#ifndef GOPDIT_NOX_H
#define GOPDIT_NOX_H

/*! 
  \file gopdit_nox.h
  \brief main interface and operations

  \author R. Enders

  $Revision: 1.3 $
  $Id: gopdit_nox.h,v 1.3 2006/01/06 12:17:59 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html


  Sorry, the design is a mess: no separation between interface and operations


  \include gopdit_nox.h
*/

#include "config.h"
#include "gopdit.h"
#include "gopditui.h"

class GopditNox : public Gopdit
		, public GopditUi
{
public:
    GopditNox();

    virtual ~GopditNox();

    //! critical error message (exiting afterwards)
    void  critical(std::string message);

    //! error message
    void  error(std::string message);

    //! acces the window for the movie screen
    void*  getMovieScreen();
    
    //! do some event processing
    void   processEvents();

    //! for reporting
    void   report(std::string message);

    //! update current time
    void   updateCurrentTime(unsigned t);

    //! update the progress dialog window
    bool   updateProgressDialog(off_t c);

    //! update the slider
    void   updateMovieSlider(off_t c);

    //! warning message stop: false go on true
    bool   warning(std::string message);

    //! remove clips
    bool   remove_clips(std::string mpegin, std::string editlist, 
			std::string mpegout);
};

#endif /* GOPDIT_NOX_H */
