#ifndef GOPDITUI_H
#define GOPDITUI_H

/*! 
  \file gopditui.h
  \brief

  \author R. Enders

  $Revision: 1.14 $
  $Id: gopditui.h,v 1.14 2006/01/06 12:17:59 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html

*/


#include <unistd.h>
#include <string>

/*! 
  Abstract class for the user interface - simple version
 */

class GopditUi
{
public:
    GopditUi() {}

    virtual ~GopditUi() {}

    //! critical error message (exiting afterwards)
    virtual void  critical(std::string message) = 0;

    //! error message
    virtual void  error(std::string message) = 0;

    //! acces the window for the movie screen
    virtual void*  getMovieScreen() = 0;
    
    //! do some event processing
    virtual void   processEvents() = 0;

    //! for reporting
    virtual void   report(std::string message) = 0;

    //! update current time
    virtual void   updateCurrentTime(unsigned t) = 0;

    //! update the progress dialog window
    virtual bool   updateProgressDialog(off_t c) = 0;

    //! update the slider
    virtual void   updateMovieSlider(off_t c) = 0;

    //! warning message stop: false go on true
    virtual bool   warning(std::string message) = 0;

};


#endif // GOPDITUI_H

