/*! 
  \file qxvideo.cpp
  \brief

  \author R. Enders

  $Revision: 1.8 $
  $Id: qxvideo.cpp,v 1.8 2006/01/06 12:18:00 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html

  \include qxvideo.cpp
*/

#include "config.h"

#include <qpainter.h>

#include "qxvideo.h"
#include "pesmgr.h"

#include <stdio.h>

QXvideo::QXvideo(QWidget* parent, const char* name)
    : QWidget(parent,name)
    , pesmgr(0)
{
}


QXvideo::~QXvideo()
{}

void	QXvideo::paintEvent( QPaintEvent * pev)
{
    if ( !(pesmgr != 0 && pesmgr->draw()) ) 
    {
	QPainter p;
	p.begin(this);
	p.setBackgroundColor(QColor("blue"));
	p.eraseRect(pev->rect());
	p.end();
    }
}

void QXvideo::resizeEvent( QResizeEvent * rev)
{
    if ( pesmgr != 0 )
    {
	pesmgr->resize(rev->size().width(), rev->size().height());
    }
}
